## python-barbicanclient 4.9.0

=== debian/changelog ===
python-barbicanclient (4.9.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:06:27 +0200

python-barbicanclient (4.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 12:09:26 +0200

python-barbicanclient (4.8.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 04:33:30 +0200

python-barbicanclient (4.8.1-2) experimental; urgency=medium

  * Do not manage alternatives.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2019 22:57:49 +0100

python-barbicanclient (4.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 11:18:28 +0100

=== debian/control ===
Source: python-barbicanclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-cliff (>= 2.8.0),
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock,
 python3-nose (>= 1.3.7),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 3.2.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-stestr,
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-barbicanclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-barbicanclient.git
Homepage: https://github.com/openstack/barbican

Package: python3-barbicanclient
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management API client - Python 3.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 3.x module.

## python-barbicanclient 4.10.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx>=1.8.0,!=2.1.0;python_version>='3.4'  # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
openstackdocstheme>=1.20.0 # Apache-2.0

=== debian/changelog ===
python-barbicanclient (4.10.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 10:16:41 -0400

python-barbicanclient (4.8.1-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support:
    - d/control: Drop python-barbicanclient package.
    - d/control: Drop BDI's on python-* packages.
    - d/rules: Tweak to skip install and test of Python 2 modules.
    - d/*.postinst,prerm,postrm: Drop management of barbican binary
      using alternatives.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jul 2019 15:50:01 +0100

=== debian/control ===
Source: python-barbicanclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.1),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-nose (>= 1.3.7),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-testrepository,
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-barbicanclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-barbicanclient
Homepage: https://github.com/openstack/barbican
Testsuite: autopkgtest-pkg-python

Package: python3-barbicanclient
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management API client - Python 3.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'barbicanclient\.tests\.test_barbican\.(?!.*TestBarbicanWithKeystone.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-barbicanclient/usr/share/doc/python-barbicanclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-barbicanclient/python-barbicanclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-barbicanclient 5.0.1

=== debian/changelog ===
python-barbicanclient (5.0.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 10:42:06 +0200

python-barbicanclient (5.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 15:59:15 +0200

python-barbicanclient (5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2020 13:24:12 +0200

python-barbicanclient (4.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:49:21 +0200

python-barbicanclient (4.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Apr 2020 18:45:02 +0200

=== debian/control ===
Source: python-barbicanclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-nose,
 python3-openstackclient,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-stestr,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-barbicanclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-barbicanclient.git
Homepage: https://github.com/openstack/barbican

Package: python3-barbicanclient
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management API client - Python 3.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'barbicanclient\.tests\.test_barbican\.(?!.*TestBarbicanWithKeystone.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-barbicanclient/usr/share/doc/python-barbicanclient/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-barbicanclient 5.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
cliff!=2.9.0,>=2.8.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-barbicanclient (5.2.0-0ubuntu1) jammy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Yoga.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 16 Nov 2021 07:28:40 +0000

python-barbicanclient (5.0.1-0ubuntu2) impish; urgency=medium

  * Update test_barbican.py to compare None instead of 0 (LP: #1923626)

 -- Heather Ellsworth <heather.ellsworth@canonical.com>  Wed, 14 Apr 2021 14:18:00 +0000

python-barbicanclient (5.0.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:21:10 -0400

python-barbicanclient (5.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Move to pybuild.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 07:42:05 +0000

=== debian/control ===
Source: python-barbicanclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.1),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 1.1.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-nose (>= 1.3.7),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-testrepository,
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.1
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-barbicanclient
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-barbicanclient
Homepage: https://github.com/openstack/barbican
Testsuite: autopkgtest-pkg-python

Package: python3-barbicanclient
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management API client - Python 3.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 3.x module.

## python-barbicanclient 5.4.0

=== requirements.txt ===
--- 
+++ 
@@ -1,9 +1,12 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
-six>=1.10.0 # MIT
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0

=== debian/changelog ===
python-barbicanclient (5.4.0-3) unstable; urgency=medium

  * Remove nose from build-depends (Closes: #1018462).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Oct 2022 10:24:15 +0200

python-barbicanclient (5.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:05:41 +0200

python-barbicanclient (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 22:51:25 +0200

python-barbicanclient (5.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 09:51:55 +0100

python-barbicanclient (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 22:20:53 +0100

python-barbicanclient (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:11:20 +0200

python-barbicanclient (5.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 16:48:37 +0200

python-barbicanclient (5.1.0-2) unstable; urgency=medium

  * Blacklist test_should_show_usage_with_help_flag.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:14:05 +0200

python-barbicanclient (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Mar 2021 20:54:20 +0100

=== debian/control ===
Source: python-barbicanclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-stestr,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-barbicanclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-barbicanclient.git
Homepage: https://github.com/openstack/barbican

Package: python3-barbicanclient
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management API client - Python 3.x
 This is a client for the Barbican Key Management API. This package includes a
 Python library for accessing the API (the barbicanclient module), and a
 command-line script (barbican).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'barbicanclient\.tests\.test_barbican\.(?!.*TestBarbicanWithKeystone.*)'
+	pkgos-dh_auto_test --no-py2 'barbicanclient\.tests\.(?!(.*test_barbican\.WhenTestingBarbicanCLI\.test_should_show_usage_with_help_flag.*))'
 endif
 
 override_dh_sphinxdoc:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-barbicanclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-barbicanclient 5.5.0

=== debian/changelog ===
python-barbicanclient (5.5.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046279).
  * Package the doc in the correct folder.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 09:36:37 +0200

python-barbicanclient (5.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:54:54 +0200

python-barbicanclient (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Set min version of keystoneauth1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 13:43:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -21,7 +23,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-barbicanclient/usr/share/doc/python-barbicanclient/html
+	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python3-barbicanclient/usr/share/doc/python3-barbicanclient/html
 	dh_sphinxdoc
 endif

## python-barbicanclient 5.6.1

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
-keystoneauth1>=3.4.0 # Apache-2.0
+keystoneauth1>=5.1.1 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-barbicanclient (5.6.1-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 29 Sep 2023 06:15:07 +0000

python-barbicanclient (5.6.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Sep 2023 09:37:49 -0400

python-barbicanclient (5.6.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Sep 2023 17:28:51 -0400

python-barbicanclient (5.5.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Feb 2023 10:13:34 -0500

python-barbicanclient (5.4.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-test-barbican.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Sep 2022 16:39:38 -0400

python-barbicanclient (5.3.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Bump debhelper compat to 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 13:20:45 -0400

## python-barbicanclient 5.7.0

=== debian/changelog ===
python-barbicanclient (5.7.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Mar 2024 11:34:39 +0000

python-barbicanclient (5.7.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream point release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 09:52:41 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=barbicanclient

UPSTREAM_GIT := https://github.com/openstack/python-barbicanclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'barbicanclient\.tests\.test_barbican\.(?!.*TestBarbicanWithKeystone.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-barbicanclient/usr/share/doc/python-barbicanclient/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-barbicanclient 7.0.0

=== debian/changelog ===
python-barbicanclient (7.0.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090466).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:04:17 +0100

python-barbicanclient (7.0.0-3) unstable; urgency=medium

  * Add Fix_missing_version_argument_for_v1_client.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Nov 2024 12:36:28 +0100

python-barbicanclient (7.0.0-2) unstable; urgency=medium

  * d/watch: use mode=git.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2024 14:08:54 +0100

python-barbicanclient (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed /usr/bin/cinder alternative removal in {pre,post}rm.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 09:33:14 +0200

python-barbicanclient (5.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:07:58 +0200

python-barbicanclient (5.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 20:58:01 +0100

python-barbicanclient (5.6.1-2) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:28:56 +0200

python-barbicanclient (5.6.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Sep 2023 17:12:52 +0200

python-barbicanclient (5.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Sep 2023 13:13:40 +0200

=== debian/watch ===
version=3
opts="mode=git uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-barbicanclient refs/tags/(\d[brc\d\.]+)

## python-barbicanclient 7.1.0

=== doc/requirements.txt ===
sphinx>=2.0.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

=== debian/changelog ===
python-barbicanclient (7.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:43:02 +0100

python-barbicanclient (7.1.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:03:02 +0100

python-barbicanclient (7.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 10:20:09 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'barbicanclient\.tests\.(?!(.*test_barbican\.WhenTestingBarbicanCLI\.test_should_show_usage_with_help_flag.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python3-barbicanclient/usr/share/doc/python3-barbicanclient/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-barbicanclient 7.2.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
pbr>=2.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
cliff>=2.8.0 # Apache-2.0
keystoneauth1>=5.1.1 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-barbicanclient (7.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:41:48 +0200

python-barbicanclient (7.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Aug 2025 14:59:34 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-coverage,
  python3-fixtures,
  python3-hacking,
- python3-keystoneauth1,
+ python3-keystoneauth1 (>= 5.1.1),
  python3-openstackclient,
  python3-openstackdocstheme <!nodoc>,
  python3-oslo.config,
@@ -40,7 +40,7 @@
 Architecture: all
 Depends:
  python3-cliff,
- python3-keystoneauth1,
+ python3-keystoneauth1 (>= 5.1.1),
  python3-oslo.i18n,
  python3-oslo.serialization,
  python3-oslo.utils,

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-barbicanclient refs/tags/(\d[brc\d\.]+)

## python-barbicanclient 7.3.0

=== debian/changelog ===
python-barbicanclient (7.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 18:03:03 +0100

python-barbicanclient (7.2.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046279).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 16:40:57 +0100
